Subject: [bug#74505] [PATCH] Update freeciv to version 3.1.3

From: glab <[email-masked]>
Date: Sun, 08 Dec 2024 20:52:30 +0000

On 2024-11-24 20:37, Rodion Goritskov wrote:
> Hi!
> 
> I tried building and running an updated version.
> It builds fine, but game has no sound.
> 
>>     (inputs
>> -    (list curl cyrus-sasl gtk+ sdl-mixer zlib))
>> +    (list curl cyrus-sasl gtk+ sdl-mixer zlib sqlite))
> 
> As far as I understand - sdl-mixer version 1 support had been dropped 
> in
> version 3.1.0 [1]
> 
> I tried building with sdl2-mixer instead of sdl-mixer - that fixed the
> sound issue.
> 
> Also, I think that dependency list should be sorted alphabetically (it
> looks like it was previously).
> 
> [1] - https://web.archive.org/web/https://gna.org/patch/?6246

Hello. Thank you, Rodion, for helping me with this patch.

I think I have improved it, based on your feedback.

Best regards,
-- 
Gustavo

From 89fe2d74debab437ce8147b49b7943c1a9eec36f Mon Sep 17 00:00:00 2001
Message-ID: <8[email-masked]>
From: Gustavo Laboreiro <[email-masked]>
Date: Sat, 23 Nov 2024 20:05:09 +0000
Subject: [PATCH] Update freeciv to version 3.1.3

This is a trivial update to the package. A new dependency is
introduced (sqlite3).

Change-Id: If0c341b179d1704437f4bd74dd92d834a902c9b9
---
 gnu/packages/games.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 9c7316ff..734eaa3c 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -85,6 +85,7 @@
 ;;; Copyright © 2024 James Smith <[email-masked]>
 ;;; Copyright © 2024 Jan Wielkiewicz <[email-masked]>
 ;;; Copyright © 2024 Ashvith Shetty <[email-masked]>
+;;; Copyright © 2024 Gustavo Laboreiro <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -6721,7 +6722,7 @@ (define-public kobodeluxe
 (define-public freeciv
   (package
    (name "freeciv")
-   (version "3.0.8")
+   (version "3.1.3")
    (source
     (origin
      (method url-fetch)
@@ -6733,10 +6734,10 @@ (define-public freeciv
                   (version-major+minor version) "/" version
                   "/freeciv-" version ".tar.xz")))
      (sha256
-      (base32 "1m3nwz0aad6p33zvmdldbw39riw2xqn99b6384bvx448c8ps6niv"))))
+      (base32 "0bvz5hqppj589w08bzrfzf5m6nwfwrzgg03lqb3p8hspjkx8c43l"))))
    (build-system gnu-build-system)
    (inputs
-    (list curl cyrus-sasl gtk+ sdl-mixer zlib))
+    (list curl cyrus-sasl gtk+ sdl2-mixer sqlite zlib))
    (native-inputs
     (list pkg-config))
    (home-page "https://www.freeciv.org/")

base-commit: f1263f41ed742d89b354241a04d19c0840b86bc4
-- 
2.46.0